/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package com.acroynon.springdatarestexample.client.model;

import com.acroynon.springdatarestexample.client.model.EntityModelVehicle;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


/**
 * Model tests for PagedModelEntityModelVehicleEmbedded
 */
public class PagedModelEntityModelVehicleEmbeddedTest {
    private final PagedModelEntityModelVehicleEmbedded model = new PagedModelEntityModelVehicleEmbedded();

    /**
     * Model tests for PagedModelEntityModelVehicleEmbedded
     */
    @Test
    public void testPagedModelEntityModelVehicleEmbedded() {
        // TODO: test PagedModelEntityModelVehicleEmbedded
    }

    /**
     * Test the property 'vehicles'
     */
    @Test
    public void vehiclesTest() {
        // TODO: test vehicles
    }

}
